mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.SymmetricAlgorithm System.Runtime.InteropServices.ComVisible(true)

This algorithm supports key lengths of 128, 192, or 256 bits.

The class is the predecessor of the algorithm. You should use the algorithm instead of . For more information, see the entry The Differences Between Rijndael and AES in the .NET Security blog.

Represents the base class from which all implementations of the symmetric encryption algorithm must inherit.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class.

  This method initializes the protected fields of to the default values listed in the following table.

  Field

  Default Value

  256

  128

  128

  Initializes a new instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Rijndael

  The default implementation of is .

  Creates a cryptographic object to perform the algorithm.

  A cryptographic object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Rijndael ``

  Acceptable values for the parameter are Rijndael and System.Security.Cryptography.RijndaelManaged.

  Creates a cryptographic object to perform the specified implementation of the algorithm.

  A cryptographic object.

  The name of the specific implementation of to create.